<?php
/**
* @subpackage	com_articlelinked
* @author		Antonio Di Girolamo & Giampaolo Losito
* @copyright	Copyright (C) 2011 isApp.it. All rights reserved.
* @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* @link			http://www.isapp.it/article-link.html
*/
// No direct access
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.view');

class ArticlelinkedViewArticles extends JView
{
	/**
	 * Display the view
	 *
	 * @return	void
	 */
	public function display($tpl = null)
	{
		$rows = $this->get('Articles');
		$lists = $this->get('Lists');
		$pagination = $this->get('Pagination');
		
		$this->assignRef('rows', $rows);
		$this->assignRef('lists', $lists);
		$this->assignRef('pagination', $pagination);
		$this->assignRef('tmpl', JRequest::getVar('tmpl', null));
		
		$doc =& JFactory::getDocument();
		$doc->addStyleSheet( '../administrator/components/com_articlelinked/css/style.css' );
		
		parent::display($tpl);
	}
}
