<?php
/**
* @subpackage	com_articlelinked
* @author		Antonio Di Girolamo & Giampaolo Losito
* @copyright	Copyright (C) 2011 isApp.it. All rights reserved.
* @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* @link			http://www.isapp.it/article-link.html
*/
// no direct access
defined('_JEXEC') or die( 'Restricted access' );

global $mainframe;

// Initialize variables
$db		=& JFactory::getDBO();
$config	=& JFactory::getConfig();
$now	=& JFactory::getDate();

$rows = $this->rows;
$lists = $this->lists;
$page = $this->pagination;

//Ordering allowed ?
$ordering = ($lists['order'] == 'section_name' || $lists['order'] == 'cc.title' || $lists['order'] == 'c.ordering');
JHTML::_('behavior.tooltip');
?>
<div id="header_logo">
<img src="components/com_articlelinked/img/link.png" alt="Link" style="width: 32px; height: 32px; vertical-align: middle;" />
<a class="al" href="http://www.isapp.it/it/article-link.html" target="_blank">Article Linked</a> <a href="http://www.isapp.it" target="_blank">by isApp.it</a>
</div>
<form action="index.php?option=<?php echo $option ?>" method="post" name="adminForm">

	<table>
		<tr>
			<td width="100%">
				<?php echo JText::_( 'Filter' ); ?>:
				<input type="text" name="search" id="search" value="<?php echo htmlspecialchars($lists['search']);?>" class="text_area" onchange="document.adminForm.submit();" title="<?php echo JText::_( 'Filter by title or enter article ID' );?>"/>
				<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
				<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_sectionid').value='-1';this.form.getElementById('catid').value='0';this.form.getElementById('filter_authorid').value='0';this.form.getElementById('filter_state').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
			</td>
			<td nowrap="nowrap">
				<?php
				echo $lists['sectionid'];
				echo $lists['catid'];
				echo $lists['authorid'];
				echo $lists['state'];
				?>
			</td>
		</tr>
	</table>

	<table class="adminlist" cellspacing="1">
	<thead>
		<tr>
			<th class="title">
				<?php echo JHTML::_('grid.sort',   'Title', 'c.title', @$lists['order_Dir'], @$lists['order'] ); ?>
			</th>
			<th width="1%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort',   'Published', 'c.state', @$lists['order_Dir'], @$lists['order'] ); ?>
			</th>
			<th width="7%">
				<?php echo JHTML::_('grid.sort',   'Access', 'groupname', @$lists['order_Dir'], @$lists['order'] ); ?>
			</th>
			<th class="title" width="8%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort',   'Section', 'section_name', @$lists['order_Dir'], @$lists['order'] ); ?>
			</th>
			<th  class="title" width="8%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort',   'Category', 'cc.title', @$lists['order_Dir'], @$lists['order'] ); ?>
			</th>
			<th  class="title" width="8%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort',   'Author', 'author', @$lists['order_Dir'], @$lists['order'] ); ?>
			</th>
			<th align="center" width="10">
				<?php echo JHTML::_('grid.sort',   'Date', 'c.created', @$lists['order_Dir'], @$lists['order'] ); ?>
			</th>
			<th width="1%" class="title">
				<?php echo JHTML::_('grid.sort',   'ID', 'c.id', @$lists['order_Dir'], @$lists['order'] ); ?>
			</th>
		</tr>
	</thead>
	<tfoot>
	<tr>
		<td colspan="8">
			<?php echo $page->getListFooter(); ?>
		</td>
	</tr>
	</tfoot>
	<tbody>
	<?php
	$k = 0;
	$nullDate = $db->getNullDate();
	for ($i=0, $n=count( $rows ); $i < $n; $i++)
	{
		$row = &$rows[$i];

		$link 	= 'index.php?option=com_articlelinked&view=article&tmpl=component&id='. $row->id.'&e_name='.JRequest::getString('e_name');

		$publish_up =& JFactory::getDate($row->publish_up);
		$publish_down =& JFactory::getDate($row->publish_down);
		$publish_up->setOffset($config->getValue('config.offset'));
		$publish_down->setOffset($config->getValue('config.offset'));
		if ( $now->toUnix() <= $publish_up->toUnix() && $row->state == 1 ) {
			$img = 'publish_y.png';
			$alt = JText::_( 'Published' );
		} else if ( ( $now->toUnix() <= $publish_down->toUnix() || $row->publish_down == $nullDate ) && $row->state == 1 ) {
			$img = 'publish_g.png';
			$alt = JText::_( 'Published' );
		} else if ( $now->toUnix() > $publish_down->toUnix() && $row->state == 1 ) {
			$img = 'publish_r.png';
			$alt = JText::_( 'Expired' );
		} else if ( $row->state == 0 ) {
			$img = 'publish_x.png';
			$alt = JText::_( 'Unpublished' );
		} else if ( $row->state == -1 ) {
			$img = 'disabled.png';
			$alt = JText::_( 'Archived' );
		}
		$times = '';
		if (isset($row->publish_up)) {
			if ($row->publish_up == $nullDate) {
				$times .= JText::_( 'Start: Always' );
			} else {
				$times .= JText::_( 'Start' ) .": ". $publish_up->toFormat();
			}
		}
		if (isset($row->publish_down)) {
			if ($row->publish_down == $nullDate) {
				$times .= "<br />". JText::_( 'Finish: No Expiry' );
			} else {
				$times .= "<br />". JText::_( 'Finish' ) .": ". $publish_down->toFormat();
			}
		}

		if ( $row->created_by_alias ) {
			$author = $row->created_by_alias;
		} else {
			$author = $row->author;
		}

		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<a href="<?php echo JRoute::_( $link ); ?>">
					<?php echo htmlspecialchars($row->title, ENT_QUOTES); ?></a>
			</td>
			<?php
			if ( $times ) {
				?>
				<td align="center">
					<span class="editlinktip hasTip" title="<?php echo JText::_( 'Publish Information' );?>::<?php echo $times; ?>">
						<img src="images/<?php echo $img;?>" width="16" height="16" border="0" alt="<?php echo $alt; ?>" /></span>
				</td>
				<?php
			}
			?>
			<td align="center">
				<?php echo JText::_( $row->groupname ); ?>
			</td>
				<td>
					<?php echo $row->section_name; ?>
			<td>
					<?php echo $row->name; ?>
			</td>
			<td>
				<?php echo $author; ?>
			</td>
			<td nowrap="nowrap">
				<?php echo JHTML::_('date',  $row->created, JText::_('DATE_FORMAT_LC4') ); ?>
			</td>
			<td>
				<?php echo $row->id; ?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
	</tbody>
	</table>

<input type="hidden" name="tmpl" value="<?php echo $this->tmpl ?>" />
<input type="hidden" name="option" value="<?php echo $option ?>" />
<input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" />
<input type="hidden" name="e_name" value="<?php echo JRequest::getString('e_name'); ?>" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
<div id="firma"><a href="http://isapp.it" target="_blank">Article Linked - isApp.it</a></div>