<?php
/**
* @subpackage	com_articlelinked
* @author		Antonio Di Girolamo & Giampaolo Losito
* @copyright	Copyright (C) 2011 isApp.it. All rights reserved.
* @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* @link			http://www.isapp.it/article-link.html
*/
defined ( '_JEXEC' ) or die ( 'Restricted access' );

jimport( 'joomla.filesystem.folder' );

function com_install() {

	$path_plg = JPATH_SITE.DS.'plugins'.DS.'editors-xtd'.DS.'articlelinked.php';
	
	if(!file_exists($path_plg)) {
		jimport('joomla.filesystem.file');
		
		if(!JFile::copy(JPATH_SITE.DS.'administrator'.DS.'components'.DS.'com_articlelinked'.DS.'plg_button_articlelinked'.DS.'articlelinked.xml', JPATH_SITE.DS.'plugins'.DS.'editors-xtd'.DS.'articlelinked.xml')){
			echo JText::_('<b>Failed</b> to copy plugin xml file<br />');
		}
	
		if(!JFile::copy(JPATH_SITE.DS.'administrator'.DS.'components'.DS.'com_articlelinked'.DS.'plg_button_articlelinked'.DS.'articlelinked.php', JPATH_SITE.DS.'plugins'.DS.'editors-xtd'.DS.'articlelinked.php')){
			echo JText::_('<b>Failed</b> to copy plugin php file<br />');
		}	
	
		$plugin = JTable::getInstance( 'plugin' );
		$plugin->name = 'Editor Button - Article Linked';
		$plugin->element = 'articlelinked';
		$plugin->folder = 'editors-xtd';
		$plugin->ordering = 1;
		$plugin->published = 1;
		
		if (!$plugin->store()) {
			echo JText::_('Plugin install failed:') .$plugin->getError().'<br />';
		}
	}
	
	JFolder::delete(JPATH_SITE.DS.'administrator'.DS.'components'.DS.'com_articlelinked'.DS.'plg_button_articlelinked');
	
	return true;
}